Loading...
Searching...
No Matches
cgehrd_data Struct Reference
Dense LA » Eigenvalues » Non-symmetric eigenvalues » gehrd: Hessenberg reduction

Structure containing matrices for multi-GPU cgehrd. More...

`#include <magma_cgehrd_m.h>`

## Detailed Description

Structure containing matrices for multi-GPU cgehrd.

- dA is distributed column block-cyclic across GPUs.
- dV is duplicated on all GPUs.
- dVd is distributed row block-cyclic across GPUs (TODO: verify).
- dY is partial results on each GPU in clahr2, then complete results are duplicated on all GPUs for clahru.
- dW is local to each GPU (workspace).
- dTi is duplicated on all GPUs.

The documentation for this struct was generated from the following file:

- /build/magma-rocm-tAGwnH/magma-rocm-2.9.0+ds/include/magma_cgehrd_m.h